Bug 151683 - [Patch] Unbreak sysutils/aimage by updating to version 3.2.4
Summary: [Patch] Unbreak sysutils/aimage by updating to version 3.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-24 12:50 UTC by Herbert J. Skuhra
Modified: 2010-10-26 05:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2010-10-24 12:50 UTC, Herbert J. Skuhra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2010-10-24 12:50:06 UTC
The attached patch updates sysutils/aimage to version 3.2.4. 
This version builds fine with current version of afflib from ports.
I have removed "USE_AUTOTOOLS" and post-patch lines, because port builds fine without them (at least on releng_7 and releng_8).

Fix: Patch attached with submission follows:
Comment 1 Herbert J. Skuhra 2010-10-24 13:18:30 UTC
Hi!

I forgot to add that the port builds without
"files/patch-src-imager.cpp", so I think this file can be removed.

-Herbert
Comment 2 Po-Chuan Hsieh freebsd_committer 2010-10-26 05:05:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 3 dfilter service freebsd_committer 2010-10-26 05:07:31 UTC
sunpoet     2010-10-26 04:07:25 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/aimage      Makefile distinfo 
  Removed files:
    sysutils/aimage/files patch-src-imager.cpp 
  Log:
  - Update to 3.2.4
  
  Changes:
  
  2009-11-23:
  - src/imager.cpp (imager::start_imaging): fixed for threaded_hash.
  
  20091022:
  - configure.ac: updated to version 3.2.3
  - configure.ac: fixed the optimization flag stuff.
  - imager.cpp & imager.h: modified to work with threaded_hash and EVP system
  
  20090905:
  - configure.ac: minor changes to compile under GCC +4.4
  
  PR:             ports/151683
  Submitted by:   Herbert J. Skuhra <h.skuhra@gmail.com> (maintainer)
  Approved by:    pgollucci (mentor, implicit)
  
  Revision  Changes    Path
  1.10      +1 -8      ports/sysutils/aimage/Makefile
  1.3       +3 -3      ports/sysutils/aimage/distinfo
  1.2       +0 -11     ports/sysutils/aimage/files/patch-src-imager.cpp (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Po-Chuan Hsieh freebsd_committer 2010-10-26 05:07:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!